php7-7.4.25-1を対象としたyum updateに失敗する

TOP Forums インストール(Installing KUSANAGI) php7-7.4.25-1を対象としたyum updateに失敗する

php7-7.4.25-1を対象としたyum updateに失敗する

Viewing 2 reply threads
  • Author
    Posts
    • #756
      Ice_Grand
      Participant

      ご担当者様

      お世話になっております。

      表題の件につきまして、10月25日に更新された「php7-7.4.25」のモジュールのアップデートを行うため
      yumupdateを実施したところ、以下のログが記載されyumupdateが失敗しております。
      正常にupdateを行うため、原因と解決方法を伺いたいので、ご対応をお願いします。

      下記にログと、実施したことを記載しておきますので
      宜しくお願い致します。

      ■ログ
      読み込んだプラグイン:fastestmirror
      Loading mirror speeds from cached hostfile
      * base: http://ftp.tsukuba.wide.ad.jp
      * epel: mirrors.nipa.cloud
      * extras: http://ftp.tsukuba.wide.ad.jp
      * updates: http://ftp.tsukuba.wide.ad.jp
      依存性の解決をしています
      –> トランザクションの確認を実行しています。
      —> パッケージ kusanagi.noarch 0:8.5.6-2 を 更新
      —> パッケージ kusanagi.noarch 0:8.5.7-1 を アップデート
      —> パッケージ kusanagi-php7.noarch 0:7.4.24-1 を 更新
      —> パッケージ kusanagi-php7.noarch 0:7.4.25-1 を アップデート
      –> 依存性の処理をしています: libicuuc.so.69()(64bit) のパッケージ: kusanagi-php7-7.4.25-1.noarch
      –> 依存性の処理をしています: libicuio.so.69()(64bit) のパッケージ: kusanagi-php7-7.4.25-1.noarch
      –> 依存性の処理をしています: libicui18n.so.69()(64bit) のパッケージ: kusanagi-php7-7.4.25-1.noarch
      –> 依存性の処理をしています: libicudata.so.69()(64bit) のパッケージ: kusanagi-php7-7.4.25-1.noarch
      –> 依存性解決を終了しました。
      エラー: パッケージ: kusanagi-php7-7.4.25-1.noarch (kusanagi)
      要求: libicudata.so.69()(64bit)
      エラー: パッケージ: kusanagi-php7-7.4.25-1.noarch (kusanagi)
      要求: libicuio.so.69()(64bit)
      エラー: パッケージ: kusanagi-php7-7.4.25-1.noarch (kusanagi)
      要求: libicui18n.so.69()(64bit)
      エラー: パッケージ: kusanagi-php7-7.4.25-1.noarch (kusanagi)
      要求: libicuuc.so.69()(64bit)
      問題を回避するために –skip-broken を用いることができます。
      これらを試行できます: rpm -Va –nofiles –nodigest

      ■実施したこと
      ・yum clean allの実施後にyumupdate実施
      ⇒エラー内容変わらず、失敗。

      ・yum update –skip-broken -y コマンドの実行
      ⇒正常終了したものの、PHPのモジュール自体はアップデートされていない状態と認識。

      現状、脆弱性を含有している状態と認識しておりますので、早急に対処したい次第です。
      お忙しいところ恐縮ですが、ご対応宜しくお願い致します。

    • #757
      hideishi
      Participant

      こんにちは

      kusanagi-php7のアップデートでは –enablerepo=remi が必要です。

      KUSANAGIモジュール更新情報

      `
      # yum update kusanagi-php7 –enablerepo=remi
      # kusanagi php7
      # yum update kusanagi
      `

    • #758
      Ice_Grand
      Participant

      ありがとうございます。
      アップデートできました。

Viewing 2 reply threads
  • You must be logged in to reply to this topic.

Next article

フォーラムについて